<div class="container">
  <div class="row">
    <div class="col-2"></div>
    <div class="col-8">
      <form class="text-center border border-light p-5">
        <p class="h4 mb-4">Add Recipe</p>
        <input type="text" [(ngModel)]= "recipeName" name="recipeName" class="form-control mb-4" placeholder="Name">
        <input type="number" [(ngModel)]="recipeCount" name="recipeCount" class="form-control mb-4" placeholder="Count">
        <button type="button" (click)="onAddRecipe()">Add</button>
      </form>
    </div>
    <div class="col-2"></div>
  </div>
  <div class="row">
    <div class="col-md-12">
      <table align="center"  border="1">
        <thead>
          <tr>
            <th>Name</th>
            <th>Count</th>
          </tr>
        </thead>
        <tbody>
          <tr *ngFor="let rl of recipeList" >
            <td>{{rl.rName}}</td>
            <td *ngIf="rl.isOdd; then odd else even">{{rl.rCount}}</td>
            <ng-template #odd>
              <td>{{rl.rCount}}</td>
            </ng-template>
            <ng-template #even>
              <td [ngStyle]="{backgroundColor: 'green'}" [ngClass]="{evenCol: even}">{{rl.rCount}}</td>
            </ng-template>
          </tr>
        </tbody>
      </table>
      </div>
  </div>
</div>

